
CREATE TABLE BATVIEWER
(
  BATVIEWER_ID    number not null,
  CREATED        date,
  UNIT     nvarchar2(20),
  VOLT     nvarchar2(20) default 0,
  VOLT_STATE     nvarchar2(20),
  TEMP_STATE     nvarchar2(20),
  COULOMB     nvarchar2(20),
  COULOMB_WH     nvarchar2(20)
)
tablespace MMBMODBUS_TS;


create sequence BATVIEWER_SEQ
  minvalue 1000
  maxvalue 99999999999999999999
  start with 1000
  increment by 1
  nocache;
  
CREATE OR REPLACE TRIGGER "BATVIEWER_TRG"
BEFORE INSERT ON BATVIEWER
FOR EACH ROW
BEGIN
  	<<COLUMN_SEQUENCES>>
  	BEGIN
  	  IF INSERTING AND :NEW.BATVIEWER_ID IS NULL THEN 
  	    SELECT BATVIEWER_SEQ.NEXTVAL INTO :NEW.BATVIEWER_ID FROM SYS.DUAL;
  	  END IF;
  	END COLUMN_SEQUENCES;
END; 
